This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 174065 - Review Request: jabberd server
Review Request: jabberd server
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
David Lawrence
http://jabberd.jabberstudio.org/2/
:
Depends On:
Blocks: 159810 FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-11-24 03:59 EST by Adrian Reber
Modified: 2008-10-08 05:41 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-28 02:38:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
huzaifas: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Adrian Reber 2005-11-24 03:59:52 EST
Spec Name or Url: already in CVS

jabberd has been imported into CVS but there hasn't been a formal approval, therefore I am submitting a request for package review. See https://www.redhat.com/archives/fedora-extras-list/2005-March/msg00057.html for details on the reviews until now

Description: The jabberd project aims to provide an open-source server implementation of the
Jabber protocols for instant messaging and XML routing. The goal of this
project is to provide a scalable, reliable, efficient and extensible server
that provides a complete set of features and is up to date with the latest
protocol revisions.
Comment 1 Aurelien Bompard 2005-11-26 18:13:20 EST
Looks good. A few comments :
* File listed twice: /etc/jabberd/server.pem
* Missing dependancy on /sbin/service for %post, %postun and %preun (initscripts
package)
* don't userdel jabber on removal, to avoid files belonging to nobody
Comment 2 Aurelien Bompard 2005-11-27 07:04:15 EST
Jabberd is enabled at boot by default. We usually don't enable network-listening
daemons by default. In the init script, just change this :
-chkconfig: 2345 85 15
+chkconfig: - 85 15
The user can enable it with "chkconfig jabberd on" afterwards if needed.
Comment 3 Adrian Reber 2005-11-27 07:39:40 EST
Thanks for the review.

I have checked in the changes required for the comment #1 and for comment #2.
Comment 4 Aurelien Bompard 2005-11-27 16:23:42 EST
Review for release 0.s10.8:
* RPM name is OK
* Source jabberd-2.0s10.tar.gz is the same as upstream
* Builds fine in mock
* rpmlint of jabberd looks OK
* File list of jabberd looks OK
* Works fine
APPROVED.

Funny thing: it crashes rpmlint. Ville, do you want to look at that ? Here's the
binary rpm in case you can't reproduce:
http://gauret.free.fr/fichiers/rpms/fedora/jabberd-2.0-0.s10.8.i386.rpm
Comment 5 Ville Skyttä 2005-11-27 17:17:28 EST
(In reply to comment #4)
> Funny thing: it crashes rpmlint. Ville, do you want to look at that ?

Looked, found the bug, fix will be in the next release.  Thanks for the heads up.
Comment 6 Adrian Reber 2005-11-28 02:38:23 EST
Thanks. jabberd has been successfully built in devel.
Comment 7 Rudi Chiarito 2006-01-20 18:16:33 EST
Is this supposed to appear in the FC3/4 repositories? It has been built for
devel only.
Comment 8 Adrian Reber 2006-01-23 03:01:50 EST
> Is this supposed to appear in the FC3/4 repositories? It has been built for
> devel only.

Not is hasn't. This is also available for FC4.
Comment 9 Adrian Reber 2008-10-08 05:21:12 EDT
New Package CVS Request
=======================
Package Name: jabberd
Short Description: OpenSource server implementation of the Jabber protocols
Owners: adrian bernie
Branches: F-10
InitialCC:
Comment 10 Huzaifa S. Sidhpurwala 2008-10-08 05:41:15 EDT
jabberd is now branched for F-10

Note You need to log in before you can comment on or make changes to this bug.